Home

account_info

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns information about an account, its activity, and its XRP balance. This includes all information stored in the account's root ledger object. When querying the current ledger, can also return information about queued transactions.

Body

application/json

Returns information about an account, its activity, and its XRP balance. This includes all information stored in the account's root ledger object. When querying the current ledger, can also return information about queued transactions.

JSON-RPC request payload.

methodstringaccount_inforequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger (required for queue data)
queueboolean

If true, and querying the current ledger, returns information about any transactions queued for this account. Ignored for validated ledgers.

signer_listsboolean

If true, and the account has a signer list, returns the signer list(s) associated with the account.

strictboolean

If true, only accept a public key or XRP Ledger address for the account parameter.

Response

200OK

HTTP 200 response for account_info. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.